package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppResource.CreateManuallyManagedAppResource(ctx, operations.C1APIAppV1AppResourceServiceCreateManuallyManagedAppResourceRequest{
AppID: "<id>",
AppResourceTypeID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CreateManuallyManagedAppResourceResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appResource.createManuallyManagedAppResource({
appId: "<id>",
appResourceTypeId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/resource_types/{app_resource_type_id}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"description": "<string>",
"matchBatonId": "<string>",
"resourceOwnerUserIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/resource_types/{app_resource_type_id}/resources"
payload = {
"displayName": "<string>",
"description": "<string>",
"matchBatonId": "<string>",
"resourceOwnerUserIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
description: '<string>',
matchBatonId: '<string>',
resourceOwnerUserIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/resource_types/{app_resource_type_id}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appResource": {
"appId": "<string>",
"appResourceTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"customDescription": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"grantCount": "<string>",
"id": "<string>",
"matchBatonId": "<string>",
"parentAppResourceId": "<string>",
"parentAppResourceTypeId": "<string>",
"secretTrait": {
"identityAppUserId": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"secretCreatedAt": "2023-11-07T05:31:56Z",
"secretExpiresAt": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Create Manually Managed App Resource
Invokes the c1.api.app.v1.AppResourceService.CreateManuallyManagedAppResource method.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppResource.CreateManuallyManagedAppResource(ctx, operations.C1APIAppV1AppResourceServiceCreateManuallyManagedAppResourceRequest{
AppID: "<id>",
AppResourceTypeID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CreateManuallyManagedAppResourceResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appResource.createManuallyManagedAppResource({
appId: "<id>",
appResourceTypeId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The appId field.
The appResourceTypeId field.
Body
The CreateManuallyManagedAppResourceRequest message.
Response
Successful response
The CreateManuallyManagedAppResourceResponse message.
The app resource message is a single resource that can have entitlements.
This message contains a oneof named metadata. Only a single field of the following list may be set at a time:
- secretTrait
Show child attributes
Show child attributes
Was this page helpful?